package demo.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.event.logical.shared.ValueChangeEvent;
import com.google.gwt.event.logical.shared.ValueChangeHandler;
import com.google.gwt.user.client.History;

import demo.client.login.LoginFormPresenter;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class EssentialGWT implements EntryPoint, ValueChangeHandler<String> {

	Environment environment;

	public void onModuleLoad() {

		environment = new Environment(new Model(), History.getToken());

		/*
		 * Set up the history management, and start by showing the login form.
		 */
		History.addValueChangeHandler(this);
		environment.launch(LoginFormPresenter.PLACE);
	}

	@Override
	public void onValueChange(final ValueChangeEvent<String> event) {
		environment.launch(event.getValue());
	}
}
