package demo.client;

import com.google.gwt.core.client.GWT;
import demo.client.rpc.LoginService;
import demo.client.rpc.LoginServiceAsync;

public class Model {
	private LoginServiceAsync loginService;

	/**
	 * Provide a remote login service handle; Use lazy evaluation for extra
	 * speed.
	 * 
	 * @return
	 */
	public LoginServiceAsync getRemoteLoginService() {
		if (loginService == null) {
			loginService = GWT.create(LoginService.class);
		}
		return loginService;
	}

}